export declare class Timeout {
    state: TimerState;
    currentTime: number;
    get timeLeft(): number;
    private _startedAt;
    private _callbacks;
    private _rejecters;
    private _timeLeft;
    private _timerId;
    constructor(timeMS: number, autoStart?: boolean);
    constructor(callback: () => void, timeMS: number, autoStart?: boolean);
    start(): this;
    start(timeMS: number): this;
    pause(): this;
    stop(): this;
    private _stop;
    restart(): this;
    then(onResolve: () => void, onReject: () => void): void;
    private _executeCallbacks;
}
export declare class Interval {
    state: TimerState;
    currentTime: number;
    get timeLeft(): number;
    private _lastTrigger;
    private _callback;
    private _timeLeft;
    private _timerId;
    private _isInTimeout;
    constructor(callback: (() => void), timeMS?: number, autoStart?: boolean);
    start(): this;
    start(timeMS: number): this;
    pause(): this;
    stop(): this;
}
export declare enum TimerState {
    Reset = 0,
    Running = 1,
    Paused = 2,
    Done = 3
}
